﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using Syncfusion.JavaScript;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable Data = OrderRepository.GetAllRecords().Take(30).ToList();
            DataOperations operation = new DataOperations();
            int count = Data.AsQueryable().Count();
            if (dm.Skip != 0) //Paging
            {
                Data = operation.PerformSkip(Data, dm.Skip);
            }
            if (dm.Take != 0) //Paging
            {
                Data = operation.PerformTake(Data, dm.Take);
            }
            return Json(new { result = Data, count = count }, JsonRequestBehavior.AllowGet);
        }
    }
}